*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    font-family:'Inter',sans-serif;
    background:#F8F8F8;
    overflow-x:hidden;
}

/* HEADER */
header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:70px;
    background:white;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 30px;
    box-shadow:0 2px 6px rgba(0,0,0,0.3);
    z-index:1000;
}

.logo{
    height:45px;
}

.navbar{
    display:flex;
    gap:30px;
}

.navbar a{
    text-decoration:none;
    color:#CC2C2C;
    font-family:'Poppins';
    font-size: 14px;
    font-weight:600;
}

.navbar a:hover{
    color:#000000;
}

.btn-reservasi{
    background:#D25858;
    padding:8px 15px;
    border-radius:17px;
    display:flex;
    align-items:center;
    justify-content:center;
    gap:5px;
    text-decoration:none;
    color:white;
    font-family:'Poppins';
    font-weight:600;
    font-size:14px;
    transition:0.3s ease;
}

.btn-reservasi:hover{
    background:#8C1F1F;
}

.reservasi-icon{
    width:24px;
    height:24px;
    object-fit:contain;
}

/* HERO */
.hero{
    margin-top:40px;
    text-align:center;
    padding:70px 20px 40px;
}

.menu-title{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:5px;
    margin-bottom:10px;
}

.menu-icon{
    width:25px;
    height:25px;
}

.menu-title h1{
    color:#CC2C2C;
    font-size:22px;
    font-weight:700;
}

/* TITLE */
.hero h2{
    font-size:35px;
    margin-bottom:2px;
}

/* LINE */
.line{
    width:50px;
    height:3px;
    background:#CC2C2C;
    margin:0 auto 10px;
    border-radius:20px;
}

.hero p{
    font-size:14px;
    max-width:700px;
    margin:auto;
    line-height:1.6;
}


/* FILTER  */
.kategori{
    margin-top:40px;
    display:flex;
    justify-content:center;
    gap:15px;
    flex-wrap:wrap;
}

.kategori a{
    text-decoration:none;
    color:#CC2C2C;
    border:1.5px solid #CC2C2C;
    padding:6px 15px;
    border-radius:30px;
    font-family:'Poppins';
    font-weight:600;
    transition:.2s;
}

.kategori a:hover{
    background:#cc2c2c88;
    color:white;
}

.kategori .active{
    background:#CC2C2C;
    color:white;
}

/* MENU */
.menu-grid{
    max-width:1400px;
    margin:50px auto;
    padding:0 40px;
    display:grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap:35px;
}

.menu-card{
    background:white;
    border-radius:12px;
    overflow:hidden;
    box-shadow: 0 4px 12px rgba(0,0,0,.12);
    transition:.3s;
}

.menu-card:hover{
    transform:translateY(-6px);
}

.menu-img{
    width:100%;
    aspect-ratio: 4/3;
    object-fit:cover;
}

img{
    max-width:100%;
    height:auto;
}

.menu-info{
    padding:18px;
}

.menu-info h3{
    font-size:20px;
    margin-bottom:10px;
}

.menu-info p{
    color:#CC2C2C;
    font-size:18px;
    font-weight:700;
}

/* FOOTER */
footer{
    background:#3A3A3A;
    color:white;
    padding:20px 3%;
}

.footer-container{
    display:flex;
    justify-content:space-between;
    flex-wrap:wrap;
    gap:40px;
}

.footer-logo img{
    width:100px;
    opacity:0.7;
}

.footer-logo p{
    margin-top:10px;
    max-width:180px;
    line-height:1.5;
    font-size:14px;
}

.footer-menu h3,
.footer-contact h3{
    margin-bottom:15px;
    font-size:20px;
}

.footer-menu a{
    display:block;
    text-decoration:none;
    color:white;
    margin-bottom:5px;
    font-size: 12px;
}

.footer-contact p{
    margin-bottom:10px;
    font-size: 12px;
}

.copyright{
    text-align:center;
    margin-top:40px;
    font-size:12px;
}

/* RESPONSIVE */

/* TABLET */
@media (max-width: 1024px){
    .menu-grid{
        grid-template-columns: repeat(2, 1fr);
        padding: 0 20px;
    }

    .hero h2{
        font-size:28px;
    }
}

/* HP */
@media (max-width: 768px){

    /* HEADER */
    header{
        height:60px;
        padding:0 10px;
    }

    .logo{
        height:35px;
    }

    .navbar{
        display:flex;
        gap:9px;
        flex-wrap:wrap;
        justify-content:center;
    }

    .navbar a{
        font-size:10px;
    }

    .btn-reservasi{
        font-size:10px;
        padding:5px 8px;
    }

    .reservasi-icon{
        width:16px;
        height:16px;
    }

    /* HERO */
    .hero{
        padding:48px 15px 30px;
    }

    .hero h1{
        font-size: 18px;
    }

    .hero h2{
        font-size:22px;
    }

    .hero p{
        font-size:13px;
    }

    /* KATEGORI */
    .kategori{
        gap:10px;
    }

    .kategori a{
        font-size:12px;
        padding:5px 12px;
    }

    /* MENU */
    .menu-grid{
        grid-template-columns: 1fr;
        gap:20px;
    }

    .menu-img{
        height:200px;
    }

    /* FOOTER */
    .footer-container{
        flex-direction:column;
        gap:20px;
    }
}